Package org.apache.sling.scripting.sightly.impl.plugin

## Interface PluginInvoke

All Known Implementing Classes:
  `AggregatePluginInvoke`, `DefaultPluginInvoke`

    public interface PluginInvoke

General interface for plugin invocations.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `afterAttribute​(PushStream stream, String attributeName)`
`void` `afterAttributes​(PushStream stream)`
`void` `afterAttributeValue​(PushStream stream, String attributeName)`
`void` `afterChildren​(PushStream stream)`
`void` `afterElement​(PushStream stream)`
`void` `afterTagClose​(PushStream stream, boolean isSelfClosing)`
`void` `afterTagOpen​(PushStream stream)`
`void` `beforeAttribute​(PushStream stream, String attributeName)`
`void` `beforeAttributes​(PushStream stream)`
`void` `beforeAttributeValue​(PushStream stream, String attributeName, ExpressionNode attributeValue)`
`void` `beforeChildren​(PushStream stream)`
`void` `beforeElement​(PushStream stream, String tagName)`
`void` `beforeTagClose​(PushStream stream, boolean isSelfClosing)`
`void` `beforeTagOpen​(PushStream stream)`
`void` `onPluginCall​(PushStream stream, PluginCallInfo callInfo, Expression expression)`

### Method Detail

#### beforeElement

    void beforeElement​(PushStream stream,
                       String tagName)

#### beforeTagOpen

    void beforeTagOpen​(PushStream stream)

#### beforeAttributes

    void beforeAttributes​(PushStream stream)

#### beforeAttribute

    void beforeAttribute​(PushStream stream,
                         String attributeName)

#### beforeAttributeValue

    void beforeAttributeValue​(PushStream stream,
                              String attributeName,
                              ExpressionNode attributeValue)

#### afterAttributeValue

    void afterAttributeValue​(PushStream stream,
                             String attributeName)

#### afterAttribute

    void afterAttribute​(PushStream stream,
                        String attributeName)

#### onPluginCall

    void onPluginCall​(PushStream stream,
                      PluginCallInfo callInfo,
                      Expression expression)

#### afterAttributes

    void afterAttributes​(PushStream stream)

#### afterTagOpen

    void afterTagOpen​(PushStream stream)

#### beforeChildren

    void beforeChildren​(PushStream stream)

#### afterChildren

    void afterChildren​(PushStream stream)

#### beforeTagClose

    void beforeTagClose​(PushStream stream,
                        boolean isSelfClosing)

#### afterTagClose

    void afterTagClose​(PushStream stream,
                       boolean isSelfClosing)

#### afterElement

    void afterElement​(PushStream stream)